package com.rjconsultores.ventaboletos.vo.busquedapacotes;

import java.util.Date;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement
@XmlType(propOrder = {"localorigem", "origem", "destino", "dataviagem", "horario", "horarioapanhe"})
public class ServicoVO {
	
	private Long vendapacoteId;
	private Integer localorigem;
	private Date dataviagem;
	private Date horario;
	private Date horarioapanhe;
	private String destino;
	private String origem;

	public Integer getLocalorigem() {
		return localorigem;
	}

	public void setLocalorigem(Integer localorigem) {
		this.localorigem = localorigem;
	}

	public Date getDataviagem() {
		return dataviagem;
	}

	public void setDataviagem(Date dataviagem) {
		this.dataviagem = dataviagem;
	}

	public Date getHorario() {
		return horario;
	}

	public void setHorario(Date horario) {
		this.horario = horario;
	}

	public Date getHorarioapanhe() {
		return horarioapanhe;
	}

	public void setHorarioapanhe(Date horarioapanhe) {
		this.horarioapanhe = horarioapanhe;
	}

	public String getDestino() {
		return destino;
	}

	public void setDestino(String destino) {
		this.destino = destino;
	}

	public String getOrigem() {
		return origem;
	}

	public void setOrigem(String origem) {
		this.origem = origem;
	}

	@XmlTransient
	public Long getVendapacoteId() {
		return vendapacoteId;
	}

	public void setVendapacoteId(Long vendapacoteId) {
		this.vendapacoteId = vendapacoteId;
	}

}
